package interfaces;

public interface MessageGenerator {
	/**
	 * Manually produce a new message with a new type, and the time to the next
	 * message.
	 */
	public void produce();

	/**
	 * Run the automatic message creation (new message every 1-5 seconds).
	 */
	public void start();

	/**
	 * Halt the message creation. Current timer is frozen until restart.
	 */
	public void pause();
}
