package interfaces;

import enums.MessageType;

public interface MessageQueue {
	/**
	 * Create a set amount of new message-producing threads controlled by the
	 * queue and start them instantly.
	 * 
	 * @param numberOfProducers
	 */
	public void createProducers(int numberOfProducers);

	/**
	 * Resume all paused threads.
	 */
	public void startAllProducers();

	/**
	 * Interrupt all threads.
	 */
	public void pauseAllProducers();

	/**
	 * Enqueues a message to the queue.
	 * 
	 * @param message
	 * @param type
	 */
	public void addToQueue(String message, MessageType type);
}
